summaryrefslogtreecommitdiffstats
path: root/debian/lenny/metapackages/rename-meta/debian/kdm-trinity.preinst
diff options
context:
space:
mode:
authorSlávek Banko <slavek.banko@axis.cz>2014-06-26 01:13:08 +0200
committerSlávek Banko <slavek.banko@axis.cz>2014-06-26 01:13:08 +0200
commitab0666a79313cc1b5e6ae7f71d566b31fb12c5b2 (patch)
tree982cdecec2662f47187f94da2436ae05e79894cd /debian/lenny/metapackages/rename-meta/debian/kdm-trinity.preinst
parent0c2f8a56ca10b0ac05eba3f2ef5c2041f43a4232 (diff)
downloadtde-packaging-ab0666a79313cc1b5e6ae7f71d566b31fb12c5b2.tar.gz
tde-packaging-ab0666a79313cc1b5e6ae7f71d566b31fb12c5b2.zip
Fixes for kdm-trinity and tdm-trinity on Debian and Ubuntu
+ remove kdm-trinity.conf during upgrade to tdm-trinity + remove tdm-trinity.conf when remove tdm-trinity + stop kdm-trinity during upgrade to tdm-trinity + start tdm-trinity during install tdm-trinity + stop tdm-trinity when remove tdm-trinity
Diffstat (limited to 'debian/lenny/metapackages/rename-meta/debian/kdm-trinity.preinst')
-rw-r--r--debian/lenny/metapackages/rename-meta/debian/kdm-trinity.preinst21
1 files changed, 13 insertions, 8 deletions
diff --git a/debian/lenny/metapackages/rename-meta/debian/kdm-trinity.preinst b/debian/lenny/metapackages/rename-meta/debian/kdm-trinity.preinst
index 391d99542..f083d696c 100644
--- a/debian/lenny/metapackages/rename-meta/debian/kdm-trinity.preinst
+++ b/debian/lenny/metapackages/rename-meta/debian/kdm-trinity.preinst
@@ -14,15 +14,14 @@ fi
# remove former service
if [ -e /etc/init.d/kdm-trinity ]; then
- REMOVING=yes
- rm -f /etc/init.d/kdm-trinity
+ REMOVING=yes
fi
if [ -n "$REMOVING" ]; then
- # is there an kdm process running?
- if start-stop-daemon --stop --quiet --signal 0 --name kdm-trinity; then
+ # is there an kdm-trinity process running?
+ if start-stop-daemon --stop --quiet --signal 0 --exec /opt/trinity/bin/kdm; then
# any children?
- PARENTS=$(pidof /usr/bin/kdm-trinity || true)
+ PARENTS=$(pidof /opt/trinity/bin/kdm || true)
CHILDREN=
if [ -n "$PARENTS" ]; then
for PROCESS in $PARENTS; do
@@ -39,11 +38,11 @@ if [ -n "$REMOVING" ]; then
if [ -n "$CHILDREN" ]; then
if [ -n "$HAVE_DEBCONF" ]; then
# ask the question
- db_input high kdm/stop_running_server_with_children || true
+ db_input high kdm-trinity/stop_running_server_with_children || true
db_go
# what did the user say?
ANSWER=
- if db_get kdm/stop_running_server_with_children; then
+ if db_get kdm-trinity/stop_running_server_with_children; then
ANSWER="$RET"
fi
if [ "$ANSWER" = "true" ]; then
@@ -51,7 +50,7 @@ if [ -n "$REMOVING" ]; then
fi
# forget that we have seen the question; this is the sort of
# non-configuration question that should be asked every time
- db_fset kdm/stop_running_server_with_children seen false
+ db_fset kdm-trinity/stop_running_server_with_children seen false
fi
else
STOP=yes
@@ -68,6 +67,12 @@ if [ -n "$STOP" ]; then
fi
fi
+if [ -n "$REMOVING" ]; then
+ rm -f /etc/init.d/kdm-trinity
+ [ ! -e /etc/init/kdm-trinity.conf ] || \
+ rm -f /etc/init/kdm-trinity.conf
+fi
+
DEFAULT_DISPLAY_MANAGER_FILE=/etc/X11/default-display-manager